#pragma once
#include "CompositeSimulationResult.h"
using namespace std;

class MultipleSimulationResultDTO: virtual public CompositeSimulationResult
{
public:
	void setNumberOfSimulations(int _numberOfSimulations);
	void setID(int _id);
	string AbstractSimulationResultDTO::getID();
	int AbstractSimulationResultDTO::getType();
	int getNumberOfSimulations();
	MultipleSimulationResultDTO(){
		numberOfSimulations = 0;
		id = 0;
	}
private:
	static const int type = 1;
	int numberOfSimulations;
	int id;
};